'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var store = require('svelte/store');

function reduce(reducer, initial) {
  var state = store.writable(initial);

  var subscribe = function (run) { return state.subscribe(run); };
  var dispatch = function (action) {
    state.update(function (value) { return reducer(value, action); });
  };

  return { subscribe: subscribe, dispatch: dispatch };
}

exports.reduce = reduce;
//# sourceMappingURL=svelte-store-reduce.cjs.js.map
