import { writable } from 'svelte/store';

function reduce(reducer, initial) {
  var state = writable(initial);

  var subscribe = function (run) { return state.subscribe(run); };
  var dispatch = function (action) {
    state.update(function (value) { return reducer(value, action); });
  };

  return { subscribe: subscribe, dispatch: dispatch };
}

export { reduce };
//# sourceMappingURL=svelte-store-reduce.es.js.map
